package com.ruoyi.project.patrol.dev.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.patrol.dev.mapper.TDevEyewashMapper;
import com.ruoyi.project.patrol.dev.domain.TDevEyewash;
import com.ruoyi.project.patrol.dev.service.ITDevEyewashService;

/**
 * 洗眼器Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-09-04
 */
@Service
public class TDevEyewashServiceImpl implements ITDevEyewashService 
{
    @Autowired
    private TDevEyewashMapper tDevEyewashMapper;

    /**
     * 查询洗眼器
     * 
     * @param id 洗眼器主键
     * @return 洗眼器
     */
    @Override
    public TDevEyewash selectTDevEyewashById(Long id)
    {
        return tDevEyewashMapper.selectTDevEyewashById(id);
    }

    /**
     * 查询洗眼器列表
     * 
     * @param tDevEyewash 洗眼器
     * @return 洗眼器
     */
    @Override
    public List<TDevEyewash> selectTDevEyewashList(TDevEyewash tDevEyewash)
    {
        return tDevEyewashMapper.selectTDevEyewashList(tDevEyewash);
    }

    /**
     * 新增洗眼器
     * 
     * @param tDevEyewash 洗眼器
     * @return 结果
     */
    @Override
    public int insertTDevEyewash(TDevEyewash tDevEyewash)
    {
        return tDevEyewashMapper.insertTDevEyewash(tDevEyewash);
    }

    /**
     * 修改洗眼器
     * 
     * @param tDevEyewash 洗眼器
     * @return 结果
     */
    @Override
    public int updateTDevEyewash(TDevEyewash tDevEyewash)
    {
        return tDevEyewashMapper.updateTDevEyewash(tDevEyewash);
    }

    /**
     * 批量删除洗眼器
     * 
     * @param ids 需要删除的洗眼器主键
     * @return 结果
     */
    @Override
    public int deleteTDevEyewashByIds(Long[] ids)
    {
        return tDevEyewashMapper.deleteTDevEyewashByIds(ids);
    }

    /**
     * 删除洗眼器信息
     * 
     * @param id 洗眼器主键
     * @return 结果
     */
    @Override
    public int deleteTDevEyewashById(Long id)
    {
        return tDevEyewashMapper.deleteTDevEyewashById(id);
    }
}
